RESOLVERTEST.1(1)

NAME
resolvertest - Test Shibboleth SP attribute resolver

SYNOPSIS
resolvertest -n name -i idp -p protocol
    [-f format-uri] [-a app]

resolvertest [-a app] < assertion

DESCRIPTION
resolvertest queries the Shibboleth SP attribute resolver and can be used to test attribute release policies and related configuration for a Shibboleth SP. Either a name, IdP, and protocol may be specified on the command-line or resolvertest can take an assertion in XML on standard input.

OPTIONS

-a app
    The application ID. If not given, the default is "default".

-i idp
    The Identity Provider to query for attributes.

-f format-uri
    The URI for the attribute format.

-n name
    The name to look up.

-p protocol
    The protocol to use. Normally, one of the -saml10, -saml11, or -saml2 options should be used to specify the protocol, but -p can be used to specify an arbitrary protocol.

-saml10
    Use the SAML 1.0 protocol.

-saml11
    Use the SAML 1.1 protocol.

-saml2
    Use the SAML 2 protocol.

AUTHOR
This manual page was written by Russ Allbery for Debian GNU/Linux.

COPYRIGHT
Copyright 2008 Russ Allbery. This manual page is hereby placed into the public domain by its author.